Subject: RE: [Sigtran] query for bit 1 in Segmentation parameter (RFC 3868 - SUA)

From: "Coene, Lode" <[email-masked]>
Date: Thu, 4 Aug 2005 11:59:53 +0200

>
>-----Original Message-----
>From: [email-masked] [mailto:[email-masked]] On Behalf
Of pankaj
>Sent: woensdag 13 juli 2005 14:53
>To: [email-masked]
>Cc: [email-masked]; [email-masked]
>Subject: [Sigtran] query for bit 1 in Segmentation parameter (RFC 3868 -
SUA)
>
>
>Hi All,
>            Please find below the text for segmentation parameter in
section 3.10.23. (Segmentation) of RFC 3868.
>"The segmentation paramter consists of the following:
>
>   o  bit 0: first/remaing segment bit: first = 1,  remaining = 0
>   o  bit 1: sequence delivery option as original demanded(= before the
>      segementing) by the SCCP application.  class 0 = 0, class 1 = 1.
>   o  bit 2-3: spare
>   o  bit 4-7: number of remaining segments(4 bits, values 0 -15)
>   o  bit 8-31:segmentation reference(3 byte integer)"

I think you copied this out of the SCCP Q713/714 or out of the SUA
implementors guide...
It is surely not in the RFC..(especially not in that particular
paragraph...)

>            
>Why we need the bit 1 value to find the protocol class. I think protocol
class parameter is mandatory parameter
>for both SCCP Connectionless message and SUA Connectionless message. I am
not finding the usability of this
>bit 1 in segmentation parameter. Please correct me if I am wrong. Also for
protocol class 0, Is it required to do
>the fragmentation and reassembly.

When the message is segmented, the segments are send in sequence, meaning
the CLDT's carrying the segmented CLDT will always have class 1. So the
original CLDT sequence delivery option is lost to the reassembler of the
CLDT. That is why we have this extra bit.
It is required for class 0 or 1 to do segmenting/reassembly if a certain
messages length is exceeded. What that message length is , is dependant on
the underlying technology and/or administration and configuration.

>
>Also in section 3.10.23.  "The field would thus be coded 1000 0000 (first,
no remaining    segments) for a un-segmented 
>CLDT"
>
>How will be 1000 0000 for protocol class 1?  I think, this should be either
1000 0000 (for protocol class 0) and 1100 
>0000 
>(for protocol class 1).

That is correct. Depending on the original protocol class, the bit should be
turned on or off. However, if the messages remains the same, is still one
message, then including the segmentation parameter is not really needed....

>Thanks in Advance,
>==Pankaj Nath==

Yours sincerely,
Lode Coene

Siemens COM
atealaan 34          2200 Herentals, Belgium
E-mail: [email-masked]
Tel: +32-14-252081
Fax: +32-14-253212

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran